<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      <ion-grid>
        <ion-row>
          <ion-col size="3">
            <ion-icon
              class="ion-text-start"
              (click)="openMenu()"
              name="menu-outline"
            ></ion-icon>
          </ion-col>
          <ion-col size="9">
            <ion-title
              >Folder creation</ion-title>
          </ion-col>
        </ion-row>
        <ion-row *ngIf="parentFolder && parentFolder.color" class="color-line" [ngStyle]="{'background-color': parentFolder.color}">

        </ion-row>
      </ion-grid>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">
        <ion-card>
          <ion-card class="height-line" [ngStyle]="{'background-color': color}">
          </ion-card>
          <ion-card-header>
            <ion-grid>
              <ion-row>
                <ion-col size="10">
                  <ion-card-title>New folder</ion-card-title>
                </ion-col>
                <ion-col size="2">
                  <ion-icon
                    class="ion-text-end"
                    style="font-size: 30px;"
                    (click)="presentColorModal()"
                    name="color-palette-outline"
                  ></ion-icon>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-card-header>
          <ion-card-content>
            <ion-item>
              <ion-label position="floating">Title<ion-text color="danger">*</ion-text></ion-label>
              <ion-input type="text" [(ngModel)]="loadedFolder.name"></ion-input>
            </ion-item>
            <ion-label *ngIf="errors.titleSize" color="danger"
              >{{errorMessages.titleSize}}</ion-label
            >
            <ion-label *ngIf="errors.titleUnique" color="danger"
            >{{errorMessages.titleUnique}}</ion-label
            >
            <ion-item>
              <ion-label position="start">Icon</ion-label>
              <ion-icon
                (click)="presentIconModal()"
                class="ion-text-right"
                style="font-size: 30px;"
                [name]="icon"
              ></ion-icon>
            </ion-item>
            <ion-label *ngIf="errors.iconLess" color="danger"
              >{{errorMessages.iconLess}}</ion-label
            >
            <ion-item>
              <ion-label>Parent folder</ion-label>
              <ion-select  [(ngModel)]="loadedFolder.parentFolder" [placeholder]="hasParent && loadedFolder.parentFolder ? loadedFolder.parentFolder.name : 'No parent'">
                <ion-select-option
                  class="custom-select"
                  ngDefaultControl
                  *ngFor="let folder of getFolder3DepsMax(2)"
                  [value]="folder"
                  >
                {{ folder.name }}</ion-select-option
                >
              </ion-select>
            </ion-item>
            <div class="ion-text-right ion-margin-vertical">
              <ion-button color="secondary" (click)="addFolder()">
                <ion-icon slot="start" name="add-circle-outline"></ion-icon>
                Create
              </ion-button>
            </div>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid></ion-content>
